Author Topic: Code::blocks 11401 - charset troubles  (Read 549 times)

Offline koluna

  • Multiple posting newcomer
  • *
  • Posts: 19
Code::blocks 11401 - charset troubles
« on: May 15, 2018, 10:12:06 am »
Hi!

I have built CB from sources (revision is 11401). I have used this manual: https://github.com/bluehazzard/codeblocks_sf/wiki/build_linux_mint_18.
My system is Linux Mint 18.1.
I have some troubles. Please, help me.

I cannot enter any russian characters in my files (e. g. remarks)!
A charset is cp-1251 and utf-8 in my files.
Strings are entered earlier are seen correctly.
Problems are only with entering new strings.
I mean an editing process, not console out.

What can I do with it?
« Last Edit: May 15, 2018, 10:15:41 am by koluna »

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 10896
    • Travis build status
Re: Code::blocks 11401 - charset troubles
« Reply #1 on: May 15, 2018, 10:39:48 am »
Are you saying that the charset of your files is using cp-1251?
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline koluna

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: Code::blocks 11401 - charset troubles
« Reply #2 on: May 15, 2018, 10:49:26 am »
Partially...
I have some files with WINDOWS-1251 and with UTF-8.
I cannot enter any russian characters in all my files :(

Offline koluna

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: Code::blocks 11401 - charset troubles
« Reply #3 on: May 15, 2018, 11:39:34 am »
Oh, I have forgotten, it is also true for controls in dialogs (ctrl-f, ctrl-r and so on...).
Is it a wxWidgets problem?

Code: [Select]
dpkg -l | grep wx
ii  libwxbase3.0-0v5:amd64                      3.0.2+dfsg-1.3ubuntu0.1                      amd64        wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
ii  libwxbase3.0-dev                            3.0.2+dfsg-1.3ubuntu0.1                      amd64        wxBase library (development) - non-GUI support classes of wxWidgets toolkit
ii  libwxgtk3.0-0v5:amd64                       3.0.2+dfsg-1.3ubuntu0.1                      amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
ii  libwxgtk3.0-dev                             3.0.2+dfsg-1.3ubuntu0.1                      amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
ii  wx-common                                   3.0.2+dfsg-1.3ubuntu0.1                      amd64        wxWidgets Cross-platform C++ GUI toolkit (common support files)
ii  wx3.0-headers                               3.0.2+dfsg-1.3ubuntu0.1                      amd64        wxWidgets Cross-platform C++ GUI toolkit (header files)

Code: [Select]
dpkg -l | grep libgtk
ii  libgtk-3-0:amd64                            3.18.9-1ubuntu3.3                            amd64        GTK+ graphical user interface library
ii  libgtk-3-bin                                3.18.9-1ubuntu3.3                            amd64        programs for the GTK+ graphical user interface library
ii  libgtk-3-common                             3.18.9-1ubuntu3.3                            all          common files for the GTK+ graphical user interface library
ii  libgtk2-perl                                2:1.2498-1                                   amd64        Perl interface to the 2.x series of the Gimp Toolkit library
ii  libgtk2.0-0:amd64                           2.24.30-1ubuntu1.16.04.2                     amd64        GTK+ graphical user interface library
ii  libgtk2.0-0:i386                            2.24.30-1ubuntu1.16.04.2                     i386         GTK+ graphical user interface library
ii  libgtk2.0-bin                               2.24.30-1ubuntu1.16.04.2                     amd64        programs for the GTK+ graphical user interface library
ii  libgtk2.0-cil                               2.12.10-6                                    amd64        CLI binding for the GTK+ toolkit 2.12
ii  libgtk2.0-common                            2.24.30-1ubuntu1.16.04.2                     all          common files for the GTK+ graphical user interface library
ii  libgtk2.0-dev                               2.24.30-1ubuntu1.16.04.2                     amd64        development files for the GTK+ library
ii  libgtkglext1:amd64                          1.2.0-3.2fakesync1ubuntu1                    amd64        OpenGL Extension to GTK+ (shared libraries)
ii  libgtkmm-2.4-1v5:amd64                      1:2.24.4-2                                   amd64        C++ wrappers for GTK+ (shared libraries)
ii  libgtkmm-3.0-1v5:amd64                      3.18.0-1                                     amd64        C++ wrappers for GTK+ (shared libraries)
ii  libgtksourceview-3.0-1:amd64                3.18.2-1                                     amd64        shared libraries for the GTK+ syntax highlighting widget
ii  libgtksourceview-3.0-common                 3.18.2-1                                     all          common files for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-0                       2.10.5-2ubuntu2                              amd64        shared libraries for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-common                  2.10.5-2ubuntu2                              all          common files for the GTK+ syntax highlighting widget
ii  libgtkspell0                                2.0.16-1.1ubuntu1                            amd64        a spell-checking addon for GTK's TextView widget
« Last Edit: May 15, 2018, 01:33:40 pm by koluna »

Offline BlueHazzard

  • Lives here!
  • ****
  • Posts: 1874
Re: Code::blocks 11401 - charset troubles
« Reply #4 on: May 15, 2018, 02:02:37 pm »
can you try a other wxWidgets program? In the worst case create one with codeblocks x)

What if you use the version provided by your OS?

Thank you for using my guide! Do you had any problems with it (beside the language now)?

Offline koluna

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: Code::blocks 11401 - charset troubles
« Reply #5 on: May 15, 2018, 02:45:25 pm »
can you try a other wxWidgets program?

What program can I try?

Quote
In the worst case create one with codeblocks x)

I cannot do it :(

Quote
What if you use the version provided by your OS?

My history is:
Code: [Select]
1965  sudo apt-get install libwxgtk3.0-dev
 1966  sudo apt-get install libgtk2.0-dev libhunspell-dev libgamin-dev libboost-dev libboost-system-dev libbz2-dev
It corresponds your guide.

Quote
Thank you for using my guide! Do you had any problems with it (beside the language now)?

Thanks for you guide! :)
Yes,  I had.
The string "./configure --with-contrib=all" is wrong for me. It is needed to use the string " ./configure --with-contrib-plugins=all".

Offline BlueHazzard

  • Lives here!
  • ****
  • Posts: 1874
Re: Code::blocks 11401 - charset troubles
« Reply #6 on: May 15, 2018, 02:50:17 pm »
Quote

Quote

    What if you use the version provided by your OS?


My history is:
1965  sudo apt-get install libwxgtk3.0-dev
1966  sudo apt-get install libgtk2.0-dev libhunspell-dev libgamin-dev libboost-dev libboost-system-dev libbz2-dev

It corresponds your guide.
i was talking about installing codeblocks via the package manager
Code: [Select]
sudo apt-get install codeblocks

Quote
What program can I try?
https://en.wikipedia.org/wiki/Category:Software_that_uses_wxWidgets

Quote
Oh, I have forgotten, it is also true for controls in dialogs (ctrl-f, ctrl-r and so on...).
this is really strange... Does it work for other programs? Have you set the right keyboard? (i am not familiar with other then western keyboard usage and encoding)

Offline koluna

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: Code::blocks 11401 - charset troubles
« Reply #7 on: May 15, 2018, 04:05:18 pm »
Quote
i was talking about installing codeblocks via the package manager

It is 13.02 version. Oh, there are also bugs... It is often fell down :(
Because of this I set up 16.01 version. But there were problems with search and ctrl-c/ctrl-v/ctrl-x.
Because of this I decided to try a newer version. I got 17.12 version from official site, but I could not setup it.
Because of this I started to look for an another way.
Somebody gave advise to build CB from the source codes. I made it and I am here now :)

Quote
this is really strange... Does it work for other programs?
Did you mean only wxWidget programs?

Quote
Have you set the right keyboard? (i am not familiar with other then western keyboard usage and encoding)

Hmmm... I did not understand you :( What did you mean?
Another programs in my distrib work well. I do not have any problems with charset.

In your guide I can see "./configure --enable-unicode". What options have built my wxWidget with?

Offline koluna

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: Code::blocks 11401 - charset troubles
« Reply #8 on: May 15, 2018, 04:56:04 pm »
I found out an another problem.
When I open a file with a 1251 file encoding and edit it the file encoding is changed at utf-8! It is wrong for me!!! Earlier the file encoding was not changed!
What can I do?

Offline koluna

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: Code::blocks 11401 - charset troubles
« Reply #9 on: May 15, 2018, 05:44:39 pm »
I have tried CodeLite from your list. It works fine with russian charset.

Offline BlueHazzard

  • Lives here!
  • ****
  • Posts: 1874
Re: Code::blocks 11401 - charset troubles
« Reply #10 on: May 15, 2018, 11:47:10 pm »
Have you  changed the setting in Settings->Editor->General settings->Encoding settings ?

What bugs me is that all controls don't accept Russian characters (for you, we have no other reports about this...)

can you give us a ldd output (https://en.wikipedia.org/wiki/Ldd_(Unix)) of codeblocks and codelite?

Offline koluna

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: Code::blocks 11401 - charset troubles
« Reply #11 on: May 16, 2018, 08:15:58 am »
Have you  changed the setting in Settings->Editor->General settings->Encoding settings ?

No, I have not.

Quote
What bugs me is that all controls don't accept Russian characters (for you, we have no other reports about this...)

Yes, it is. Any control does not allow to enter any russian character. It is bad :(

Quote
can you give us a ldd output (https://en.wikipedia.org/wiki/Ldd_(Unix)) of codeblocks and codelite?

Code: [Select]
        ldd /usr/local/bin/codeblocks

linux-vdso.so.1 =>  (0x00007ffc80d6c000)
libcodeblocks.so.0 => /usr/local/lib/libcodeblocks.so.0 (0x00007fd3bc881000)
libwx_gtk2u_aui-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_aui-3.0.so.0 (0x00007fd3bc5e8000)
libwx_gtk2u_propgrid-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_propgrid-3.0.so.0 (0x00007fd3bc300000)
libwx_gtk2u_xrc-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_xrc-3.0.so.0 (0x00007fd3bbf8f000)
libwx_gtk2u_html-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_html-3.0.so.0 (0x00007fd3bbcb3000)
libwx_gtk2u_qa-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_qa-3.0.so.0 (0x00007fd3bba83000)
libwx_gtk2u_adv-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_adv-3.0.so.0 (0x00007fd3bb69d000)
libwx_gtk2u_core-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0 (0x00007fd3bae24000)
libwx_baseu_net-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_baseu_net-3.0.so.0 (0x00007fd3babd8000)
libwx_baseu-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0 (0x00007fd3ba746000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fd3ba529000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fd3ba1a7000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fd3b9f91000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fd3b9bc7000)
libwx_baseu_xml-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_baseu_xml-3.0.so.0 (0x00007fd3b99b7000)
libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007fd3b96a6000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fd3b939d000)
libgtk-x11-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0 (0x00007fd3b8d52000)
libgdk-x11-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0 (0x00007fd3b8a9d000)
libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007fd3b884a000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0 (0x00007fd3b8628000)
libpango-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0 (0x00007fd3b83dc000)
libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007fd3b80a2000)
libnotify.so.4 => /usr/lib/x86_64-linux-gnu/libnotify.so.4 (0x00007fd3b7e9a000)
libpangocairo-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007fd3b7c8d000)
libcairo.so.2 => /usr/lib/x86_64-linux-gnu/libcairo.so.2 (0x00007fd3b7979000)
libXxf86vm.so.1 => /usr/lib/x86_64-linux-gnu/libXxf86vm.so.1 (0x00007fd3b7773000)
libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007fd3b756b000)
libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007fd3b7346000)
libjpeg.so.8 => /usr/lib/x86_64-linux-gnu/libjpeg.so.8 (0x00007fd3b70ed000)
libtiff.so.5 => /usr/lib/x86_64-linux-gnu/libtiff.so.5 (0x00007fd3b6e79000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007fd3b6c5f000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fd3b6a5b000)
/lib64/ld-linux-x86-64.so.2 (0x00007fd3bd1e6000)
libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007fd3b6832000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007fd3b65c2000)
libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007fd3b63be000)
libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007fd3b61b8000)
libatk-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0 (0x00007fd3b5f93000)
libgio-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0 (0x00007fd3b5c0b000)
libpangoft2-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0 (0x00007fd3b59f5000)
libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007fd3b57b2000)
libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007fd3b55a8000)
libXinerama.so.1 => /usr/lib/x86_64-linux-gnu/libXinerama.so.1 (0x00007fd3b53a5000)
libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007fd3b5195000)
libXrandr.so.2 => /usr/lib/x86_64-linux-gnu/libXrandr.so.2 (0x00007fd3b4f8a000)
libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1 (0x00007fd3b4d80000)
libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1 (0x00007fd3b4b7d000)
libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007fd3b497a000)
libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007fd3b4768000)
libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007fd3b4560000)
libthai.so.0 => /usr/lib/x86_64-linux-gnu/libthai.so.0 (0x00007fd3b4357000)
libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007fd3b4135000)
libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007fd3b3e8b000)
libpixman-1.so.0 => /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x00007fd3b3be3000)
libxcb-shm.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0 (0x00007fd3b39df000)
libxcb-render.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-render.so.0 (0x00007fd3b37d5000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fd3b35cd000)
libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007fd3b33b3000)
libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007fd3b31ae000)
liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007fd3b2f8c000)
libjbig.so.0 => /usr/lib/x86_64-linux-gnu/libjbig.so.0 (0x00007fd3b2d7e000)
libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007fd3b2b5c000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007fd3b2941000)
libharfbuzz.so.0 => /usr/lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007fd3b26e3000)
libdatrie.so.1 => /usr/lib/x86_64-linux-gnu/libdatrie.so.1 (0x00007fd3b24db000)
libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007fd3b22d7000)
libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007fd3b20d1000)
libgraphite2.so.3 => /usr/lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007fd3b1eab000)

Code: [Select]
        ldd /usr/bin/codelite

linux-vdso.so.1 =>  (0x00007fff41de6000)
libgtk-x11-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0 (0x00007f63d9dae000)
libwx_gtk2u_aui-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_aui-3.0.so.0 (0x00007f63d9b15000)
libwx_gtk2u_propgrid-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_propgrid-3.0.so.0 (0x00007f63d982d000)
libwx_gtk2u_stc-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_stc-3.0.so.0 (0x00007f63d93e9000)
libwx_gtk2u_xrc-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_xrc-3.0.so.0 (0x00007f63d9078000)
libwx_gtk2u_html-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_html-3.0.so.0 (0x00007f63d8d9c000)
libwx_gtk2u_adv-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_adv-3.0.so.0 (0x00007f63d89b6000)
libwx_gtk2u_core-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0 (0x00007f63d813d000)
libwx_baseu_xml-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_baseu_xml-3.0.so.0 (0x00007f63d7f2d000)
libwx_baseu_net-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_baseu_net-3.0.so.0 (0x00007f63d7ce1000)
libwx_baseu-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0 (0x00007f63d784f000)
libclang-3.6.so.1 => /usr/lib/x86_64-linux-gnu/libclang-3.6.so.1 (0x00007f63d6be3000)
libplugin.so.0 => /usr/lib/codelite/libplugin.so.0 (0x00007f63d647b000)
liblibcodelite.so.0 => /usr/lib/codelite/liblibcodelite.so.0 (0x00007f63d5eea000)
libwxsqlite3-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwxsqlite3-3.0.so.0 (0x00007f63d5cb7000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f63d5935000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f63d571f000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f63d5502000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f63d5138000)
libgdk-x11-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0 (0x00007f63d4e83000)
libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007f63d4c7f000)
libpangocairo-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007f63d4a72000)
libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f63d4738000)
libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007f63d4532000)
libatk-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0 (0x00007f63d430d000)
libcairo.so.2 => /usr/lib/x86_64-linux-gnu/libcairo.so.2 (0x00007f63d3ff9000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0 (0x00007f63d3dd7000)
libgio-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0 (0x00007f63d3a4f000)
libpangoft2-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0 (0x00007f63d3839000)
libpango-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0 (0x00007f63d35ed000)
libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007f63d339a000)
libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f63d3089000)
libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f63d2e46000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f63d2b3d000)
libnotify.so.4 => /usr/lib/x86_64-linux-gnu/libnotify.so.4 (0x00007f63d2935000)
libXxf86vm.so.1 => /usr/lib/x86_64-linux-gnu/libXxf86vm.so.1 (0x00007f63d272f000)
libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007f63d2527000)
libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007f63d2302000)
libjpeg.so.8 => /usr/lib/x86_64-linux-gnu/libjpeg.so.8 (0x00007f63d20a9000)
libtiff.so.5 => /usr/lib/x86_64-linux-gnu/libtiff.so.5 (0x00007f63d1e35000)
libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f63d1c0c000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f63d19f2000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f63d17ee000)
/lib64/ld-linux-x86-64.so.2 (0x00007f63daf77000)
libLLVM-3.6.so.1 => /usr/lib/x86_64-linux-gnu/libLLVM-3.6.so.1 (0x00007f63cf8cc000)
libwx_gtk2u_ribbon-3.0.so.0 => /usr/lib/x86_64-linux-gnu/libwx_gtk2u_ribbon-3.0.so.0 (0x00007f63cf63d000)
libssh-gcrypt.so.4 => /usr/lib/x86_64-linux-gnu/libssh-gcrypt.so.4 (0x00007f63cf3f4000)
libutil.so.1 => /lib/x86_64-linux-gnu/libutil.so.1 (0x00007f63cf1f1000)
libsqlite3.so.0 => /usr/lib/x86_64-linux-gnu/libsqlite3.so.0 (0x00007f63cef1c000)
libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007f63ced12000)
libXinerama.so.1 => /usr/lib/x86_64-linux-gnu/libXinerama.so.1 (0x00007f63ceb0f000)
libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007f63ce8ff000)
libXrandr.so.2 => /usr/lib/x86_64-linux-gnu/libXrandr.so.2 (0x00007f63ce6f4000)
libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1 (0x00007f63ce4ea000)
libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1 (0x00007f63ce2e7000)
libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007f63ce0e4000)
libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f63cded2000)
libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f63cdc28000)
libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f63cda06000)
libpixman-1.so.0 => /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x00007f63cd75e000)
libxcb-shm.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0 (0x00007f63cd55a000)
libxcb-render.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-render.so.0 (0x00007f63cd350000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f63cd148000)
libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007f63ccf26000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f63ccd0b000)
libharfbuzz.so.0 => /usr/lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007f63ccaad000)
libthai.so.0 => /usr/lib/x86_64-linux-gnu/libthai.so.0 (0x00007f63cc8a4000)
libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f63cc69c000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f63cc42c000)
libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007f63cc212000)
libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f63cc00d000)
liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f63cbdeb000)
libjbig.so.0 => /usr/lib/x86_64-linux-gnu/libjbig.so.0 (0x00007f63cbbdd000)
libedit.so.2 => /usr/lib/x86_64-linux-gnu/libedit.so.2 (0x00007f63cb9a5000)
libtinfo.so.5 => /lib/x86_64-linux-gnu/libtinfo.so.5 (0x00007f63cb77c000)
libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f63cb49b000)
libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f63cb251000)
libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f63cb04d000)
libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f63cae47000)
libgraphite2.so.3 => /usr/lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007f63cac21000)
libdatrie.so.1 => /usr/lib/x86_64-linux-gnu/libdatrie.so.1 (0x00007f63caa19000)
libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007f63ca804000)
libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f63ca5f0000)
libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f63ca31e000)
libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f63ca0ef000)
libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f63c9eeb000)
libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f63c9ce0000)
libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f63c9adc000)

I am ready to last my investigations :) Help me, please.
« Last Edit: May 16, 2018, 08:31:35 am by koluna »

Offline koluna

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: Code::blocks 11401 - charset troubles
« Reply #12 on: May 16, 2018, 09:20:38 am »
Oh, I am a liyer :)
I had some experiments with encoding options, but after it I came back these options to initial states.
It is strange, but it works correctly now... It is for the second trouble. The first problem is  not solved :(

Offline koluna

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: Code::blocks 11401 - charset troubles
« Reply #13 on: May 17, 2018, 01:10:28 pm »
I removed it. After it I installed another version from https://apt.jenslody.de/.
And a situation was not changed!!!

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 10896
    • Travis build status
Re: Code::blocks 11401 - charset troubles
« Reply #14 on: May 17, 2018, 06:42:35 pm »
There is quite a lot of confusion going on.

In theory you should set the encoding to something in your global locale settings (ru_RU.UTF8 for example (not sure if such thing exists)) and then all files/filepaths are expected to use this encoding.
If you have files with an encoding which is different from the system wide one things won't work well. And I don't see a setting in C::B which make it possible to choose an exact encoding.

Can you describe your setup? But please be exact!
What is the system encoding and what file do you try to open?
Does the file open correctly if you use iconv to convert it to the system encoding?

The version of C::B doesn't change much. Also reinstalling won't change much. It is up-to-the-setup and/or missing features.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]